Package model

# Class JavaBeans

java.lang.Object
model.JavaBeans

public class JavaBeans extends Object
The Class JavaBeans.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaBeans()`
  Instantiates a new java beans.
  `JavaBeans(String id, String nome, String num, String email)`
  Instantiates a new java beans.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getEmail()`
  Gets the email.
  `String`
  `getId()`
  Gets the id.
  `String`
  `getNome()`
  Gets the nome.
  `String`
  `getNum()`
  Gets the num.
  `void`
  `setEmail(String email)`
  Sets the email.
  `void`
  `setId(String id)`
  Sets the id.
  `void`
  `setNome(String nome)`
  Sets the nome.
  `void`
  `setNum(String num)`
  Sets the num.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaBeans

    public JavaBeans()
    Instantiates a new java beans.

  - ### JavaBeans

    public JavaBeans(String id, String nome, String num, String email)
    Instantiates a new java beans.
    Parameters:
      `id` - the id
      `nome` - the nome
      `num` - the num
      `email` - the email

- ## Method Details

  - ### getId

    public String getId()
    Gets the id.
    Returns:
      the id

  - ### setId

    public void setId(String id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getNome

    public String getNome()
    Gets the nome.
    Returns:
      the nome

  - ### setNome

    public void setNome(String nome)
    Sets the nome.
    Parameters:
      `nome` - the new nome

  - ### getNum

    public String getNum()
    Gets the num.
    Returns:
      the num

  - ### setNum

    public void setNum(String num)
    Sets the num.
    Parameters:
      `num` - the new num

  - ### getEmail

    public String getEmail()
    Gets the email.
    Returns:
      the email

  - ### setEmail

    public void setEmail(String email)
    Sets the email.
    Parameters:
      `email` - the new email